cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CLOUDSTACK-8832) Update Nuage VSP plugin to work with Nuage VSP release 3.2
Date Mon, 12 Oct 2015 16:18:05 GMT

    [ https://issues.apache.org/jira/browse/CLOUDSTACK-8832?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14953263#comment-14953263
] 

ASF GitHub Bot commented on CLOUDSTACK-8832:
--------------------------------------------

Github user jburwell commented on a diff in the pull request:

    https://github.com/apache/cloudstack/pull/801#discussion_r41773461
  
    --- Diff: plugins/network-elements/nuage-vsp/src/net/nuage/vsp/acs/NuageVspPluginClientLoader.java
---
    @@ -19,28 +19,86 @@
     
     package net.nuage.vsp.acs;
     
    +import net.nuage.vsp.acs.client.NuageVspApiClient;
    +import net.nuage.vsp.acs.client.NuageVspElementClient;
    +import net.nuage.vsp.acs.client.NuageVspGuruClient;
    +import net.nuage.vsp.acs.client.NuageVspManagerClient;
    +import net.nuage.vsp.acs.client.NuageVspSyncClient;
    +
     import java.net.MalformedURLException;
     import java.net.URL;
     import java.net.URLClassLoader;
     
     public class NuageVspPluginClientLoader {
     
    -    private static NuageVspPluginClientLoader nuageVspPluginClientClassloader;
    -    private ClassLoader loader = null;
    +    private ClassLoader _loader = null;
    +
    +    private NuageVspApiClient _nuageVspApiClient;
    +    private NuageVspElementClient _nuageVspElementClient;
    +    private NuageVspGuruClient _nuageVspGuruClient;
    +    private NuageVspManagerClient _nuageVspManagerClient;
    +    private NuageVspSyncClient _nuageVspSyncClient;
    +
    +    public static final String NUAGE_PLUGIN_CLIENT_JAR_FILE = "/usr/share/nuagevsp/lib/nuage-vsp-acs-client.jar";
    --- End diff --
    
    Seems the location of the client jar should be configurable.  I am also concerned that
we are included a plugin into the open source project that has an implicit requirement for
a non open source library.  The expectation is that any plugin built in the open source release
has all dependencies to run included in the build.  I will open a discussion on the mailing
list to discuss further.


> Update Nuage VSP plugin to work with Nuage VSP release 3.2
> ----------------------------------------------------------
>
>                 Key: CLOUDSTACK-8832
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-8832
>             Project: CloudStack
>          Issue Type: Improvement
>      Security Level: Public(Anyone can view this level - this is the default.) 
>          Components: Management Server
>    Affects Versions: 4.6.0
>            Reporter: Nick Livens
>            Assignee: Nick Livens
>         Attachments: nuageVspMarvinLogs.tar.gz
>
>
> Nuage VSP 3.2 is being released, we want to bring the plugin up to date for this release



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message